"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const image_loader_1 = __importDefault(require("@ewizardjs/builder-utils/dist/loaders/image-loader"));
const vue_template_compiler_1 = require("vue-template-compiler");
const loader_utils_1 = __importDefault(require("loader-utils"));
async function default_1(source = '') {
    var _a, _b;
    const options = loader_utils_1.default.getOptions(this);
    if (options.isNewComponentsList) {
        const template = (_b = (_a = (0, vue_template_compiler_1.parseComponent)(source).template) === null || _a === void 0 ? void 0 : _a.content) !== null && _b !== void 0 ? _b : '';
        const templateWithRequiredFiles = image_loader_1.default.call(this, template);
        return source.concat(`<script>export default { template: ${JSON.stringify(templateWithRequiredFiles)} }</script>`);
    }
    return source.concat(`<script>export default {}</script>`);
}
exports.default = default_1;
//# sourceMappingURL=vue-component-to-module-loader.js.map