/* eslint-disable */
try {
  const entry = require('^/common/components/components.js');

  function fixCustomTemplatePaths(componentData) {
    if (componentData.ewizardConfig && componentData.ewizardConfig.template) {
      const normalizedTemplate = componentData.ewizardConfig.template.replace(/\\(.)/g, '$1');
      componentData.ewizardConfig.template = normalizedTemplate;
    }

    return componentData;
  }

  module.exports = {
    default: (...args) => entry.default(...args).map(fixCustomTemplatePaths),
  };
} catch (error) {
  module.exports = {};
}
