/* eslint-disable */
try {
  const componentsList = require('^/common/components/components.js');
  const components = componentsList.default();

  components.forEach((libraryComponent) => {
    const customTemplate = libraryComponent?.ewizardConfig?.template;

    if (customTemplate) {
      const normalizedTemplate = customTemplate.replace(/\\/g, '');
      libraryComponent.ewizardConfig.template = normalizedTemplate;
    }

    return libraryComponent;
  });

  module.exports = components;
} catch (error) {
  module.exports = {};
}
