import { Page } from '@ewizardjs/pages-api';
import { SystemSettings } from '@ewizardjs/system-settings';
import { ComponentsFileProps, ContentEntity } from '@ewizardjs/builder-utils';
import { RuleSetRule } from 'webpack';
export default function (systemSettings: SystemSettings, baseDir: string, componentsFileProps: ComponentsFileProps, pages: Page[] | undefined, contentEntities: ContentEntity[]): Promise<{
    test: RegExp;
    use: {
        loader: string;
        options: {
            baseDir: string;
            fileProps: {};
            filePathProps: {};
            componentsPackageName: {};
            componentType: string;
        };
    }[];
}[] | ({
    test: RegExp;
    use: {
        loader: string;
        options: {
            baseDir: string;
            fileProps: {};
            filePathProps: {};
            componentsPackageName: {};
            componentType: string;
            id: string;
        };
    }[];
} | {
    test: RegExp;
    include: string[];
    use: {
        loader: string;
        options: {
            baseDir: string;
            filePathProps: {};
            componentsPackageName: {};
            componentType: string;
            paths: string[];
        };
    }[];
} | {
    include: string[];
    use: {
        loader: string;
        options: {
            baseDir: string;
            fileProps: {};
            filePathProps: {};
            componentsPackageName: {};
            componentType: string;
        };
    }[];
})[] | (RuleSetRule | {
    test: RegExp;
    use: {
        loader: string;
        options: {
            baseDir: string;
            fileProps: {};
            filePathProps: {};
            componentsPackageName: {};
            componentType: string;
            id: string;
        };
    }[];
})[]>;
