import { DevBuilderArguments, DevBuilderOptions } from 'src/interfaces';
import webpack from 'webpack';
import '@ewizardjs/builder-utils/dist/modules/patchCryptoCreateHash';
export declare abstract class Builder {
    options: DevBuilderArguments;
    constructor(presentationPath: string);
    protected getDevConfig(options: DevBuilderOptions): Promise<webpack.Configuration>;
    protected getTemplatesConfig(options: DevBuilderOptions): Promise<webpack.Configuration>;
    protected getConfigWithComponentsListLibrary(options: DevBuilderOptions, baseConfig?: webpack.Configuration): Promise<webpack.Configuration[]>;
    protected getLayoutConfig(options: DevBuilderOptions): Promise<webpack.Configuration>;
    protected getCompiler(options: DevBuilderOptions): Promise<webpack.MultiCompiler>;
}
