/// <reference types="cheerio" />
import { Compiler, compilation, Plugin } from 'webpack';
export type Compilation = compilation.Compilation;
export declare abstract class InjectHtmlPlugin implements Plugin {
    protected presentationPath: string;
    constructor(presentationPath: string);
    abstract apply(compiler: Compiler): void;
    protected getParsedHtml(compilation: Compilation, assetName: string): CheerioStatic;
    protected ensureAssetExists(compilation: Compilation, assetName: string): Promise<void>;
    protected updateAsset(compilation: Compilation, assetName: string, content: string): void;
}
