import { Plugin, RuleSetRule } from 'webpack';
export { getNormalizedVueFileContent } from '@ewizardjs/builder-utils';
export declare function getEwizardjsVersion(contentPath: string): Promise<string>;
export declare function uniqueId(length?: number, alphabet?: string): string;
export declare function toUnixPath(path: string): string;
export declare function encodeFilePath(url: string): string;
export declare function isString(value: any): boolean;
export declare function ensureComponentsListExists(presentationPath: string): Promise<boolean>;
export declare function removePlugins(plugins: Plugin[] | undefined, pluginsToRemove: string[]): Plugin[];
export declare function removeRules(rules: RuleSetRule[] | undefined, rulesToRemove: (string | undefined)[]): RuleSetRule[];
